## compreffor 0.4.6

=== requirements.txt ===
fonttools==3.13.1

=== debian/changelog ===
compreffor (0.4.6-1) unstable; urgency=medium

  * Initial release. Closes: #882071

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 22 Nov 2017 11:14:27 -0500

=== debian/control ===
Source: compreffor
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: cython (>= 0.26),
               debhelper (>= 10),
               dh-python,
               python3-dev,
               python3-fonttools,
               python3-pytest <!nocheck>,
               python3-setuptools
Standards-Version: 4.1.1
Homepage: https://github.com/googlei18n/compreffor
Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/compreffor.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fonts/compreffor.git

Package: python3-compreffor
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: CFF table subroutinizer for FontTools
 python3-compreffor is a tool to subroutinize a Compact Font Format (CFF)
 OpenType font.

=== debian/watch ===
version=4
https://github.com/googlei18n/compreffor/releases \
	.*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## compreffor 0.4.6.post1

=== requirements.txt ===
fonttools==3.22.0

=== src/cxx/Makefile ===
O ?= 2

CXXFLAGS = -std=c++0x -pthread -W -Wall -Wno-unused -Wno-unused-parameter
CXXFLAGS += -DDEBUG -g
CXXSOFLAGS = $(CXXFLAGS) -shared
CC = g++
DEPS = cffCompressor.h
BIN = ../python/compreffor

ifeq ($(OS),Windows_NT)
    uname_S := Windows
else
    uname_S := $(shell uname -s)
endif
ifeq ($(uname_S), Windows)
    executable = cffCompressor.exe
    sharedlib = compreff.dll
    # statically link libgcc, libstdc++ and libwinpthread on mingw-w64
    LDFLAGS ?= -static
else
    executable = cffCompressor
    sharedlib = libcompreff.so
endif

all: $(executable) lib
$(executable): cffCompressor.o
	$(CC) $(CXXFLAGS) -o $(BIN)/$@ $(LDFLAGS) $^
%.o: %.cc $(DEPS)
	$(CC) $(CXXFLAGS) -o $@ -c -O$(O) $<
lib: $(sharedlib)
$(sharedlib): cffCompressor.cc $(DEPS)
	$(CC) $(CXXSOFLAGS) -o $(BIN)/$@ -O$(O) -fPIC $(LDFLAGS) $<
clean:
	rm -rf cffCompressor.o $(BIN)/$(executable) $(BIN)/$(sharedlib) $(BIN)/$(sharedlib).dSYM
ALL: clean all

=== debian/changelog ===
compreffor (0.4.6.post1-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Change team mailing list URL to debian-fonts@lists.debian.org
      since fonts-team@lists.debian.org does not exist.
    + Bump debhelper compat to v12.

 -- Boyuan Yang <byang@debian.org>  Thu, 19 Sep 2019 15:48:03 -0400

compreffor (0.4.6.post1-1) unstable; urgency=medium

  [ Yao Wei (魏銘廷) ]
  * Team upload.
  * New upstream release 0.4.6.post1
  * debian/control:
    - Change Vcs url to Salsa
    - Change mailing list URL to fonts-team@lists.debian.org
    - Change python3-dev Build-Depends to python3-all-dev
    - Bump Standards-Version to 4.2.0

  [ Jeremy Bicha ]
  * Bump debhelper compat to 11
  * Bump minimum fonttools to 3.22.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 03 Sep 2018 13:27:03 -0400

=== debian/control ===
Source: compreffor
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: cython (>= 0.28.4),
               debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-fonttools (>= 3.22.0),
               python3-pytest <!nocheck>,
               python3-setuptools
Standards-Version: 4.4.0
Homepage: https://github.com/googlei18n/compreffor
Vcs-Git: https://salsa.debian.org/fonts-team/compreffor.git
Vcs-Browser: https://salsa.debian.org/fonts-team/compreffor

Package: python3-compreffor
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: CFF table subroutinizer for FontTools
 python3-compreffor is a tool to subroutinize a Compact Font Format (CFF)
 OpenType font.

## compreffor 0.5.0.post1

=== debian/changelog ===
compreffor (0.5.0.post1-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:19:20 +0100

compreffor (0.5.0.post1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.5.0.post1
  * Change cython dependency to cython3. Closes: #945629

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 19 Jan 2020 11:34:11 +0800

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: cython (>= 0.28.4),
-               debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 12),
+               cython3 (>= 0.28.4),
                dh-python,
                python3-all-dev,
                python3-fonttools (>= 3.22.0),

## compreffor 0.5.1

=== requirements.txt ===
fonttools==4.2.0

=== debian/changelog ===
compreffor (0.5.1-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:35:13 +0000

compreffor (0.5.1-2) unstable; urgency=medium

  * Team upload.

  [ Stefano Rivera ]
  * Patch: Update collections.abc imports for Python 3.10 (Closes: #1000315)

  [ Boyuan Yang ]
  * debian/control: Bump Standards-Version to 4.6.0.

  [ Yao Wei (魏銘廷) ]
  * debian/watch: Change GitHub archive URL.

 -- Boyuan Yang <byang@debian.org>  Sun, 21 Nov 2021 14:01:12 -0500

compreffor (0.5.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.5.1
  * debian/control:
    - Use debhelper 13
    - Update dependencies
    - Use Standards-Version 4.5.1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 07 Jan 2021 23:16:12 +0800

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cython3 (>= 0.28.4),
                dh-python,
                python3-all-dev,
-               python3-fonttools (>= 3.22.0),
+               python3-fonttools (>= 4.2.0),
                python3-pytest <!nocheck>,
                python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/googlei18n/compreffor
 Vcs-Git: https://salsa.debian.org/fonts-team/compreffor.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/compreffor

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=compreffor

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/googlei18n/compreffor/releases \
	.*/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@

## compreffor 0.5.3

=== requirements.txt ===
fonttools==4.28.2

=== debian/changelog ===
compreffor (0.5.3-2) unstable; urgency=medium

  * Team Upload.
  * Cleanup _version.py in d/clean (Closes: #1026686)
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 22 Dec 2022 00:35:10 +0530

compreffor (0.5.3-1) unstable; urgency=medium

  * Team Upload.
  * d/watch: Use tags instead (for easy tracking w/ changed github API)
  * New upstream version 0.5.3 (Closes: #1024010)
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Remove python-3.10.patch; merged upstream
  * B-D on python3-setuptools-scm
  * Remove setuptools_git_ls_files as hard dep

 -- Nilesh Patra <nilesh@debian.org>  Wed, 16 Nov 2022 23:28:11 +0530

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
                python3-all-dev,
                python3-fonttools (>= 4.2.0),
                python3-pytest <!nocheck>,
-               python3-setuptools
-Standards-Version: 4.6.0
+               python3-setuptools,
+               python3-setuptools-scm
+Standards-Version: 4.6.2
 Homepage: https://github.com/googlei18n/compreffor
 Vcs-Git: https://salsa.debian.org/fonts-team/compreffor.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/compreffor

=== debian/watch ===
version=4
https://github.com/googlei18n/compreffor/tags \
	.*/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@

## compreffor 0.5.5

=== requirements.txt ===
fonttools==4.42.1

=== debian/changelog ===
compreffor (0.5.5-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:36:32 +0000

compreffor (0.5.5-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (Closes: #1055685)

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Dec 2023 13:26:11 -0500

compreffor (0.5.5-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Require cython3 3.x. (Closes: #1056795)

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Nov 2023 09:28:49 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               cython3 (>= 0.28.4),
+               cython3 (>= 3.0.2),
                dh-python,
                python3-all-dev,
                python3-fonttools (>= 4.2.0),
@@ -12,7 +12,7 @@
                python3-setuptools,
                python3-setuptools-scm
 Standards-Version: 4.6.2
-Homepage: https://github.com/googlei18n/compreffor
+Homepage: https://github.com/googlefonts/compreffor
 Vcs-Git: https://salsa.debian.org/fonts-team/compreffor.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/compreffor

=== debian/watch ===
version=4
https://github.com/googlefonts/compreffor/tags \
	.*/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@

## compreffor 0.5.6

=== requirements.txt ===
fonttools==4.54.1

=== debian/changelog ===
compreffor (0.5.6-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 13:57:24 +0000

compreffor (0.5.6-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:06:15 +0000

compreffor (0.5.6-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:30:45 +0100

compreffor (0.5.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump versioned dependency on cython3 and python3-fonttools.
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Oct 2024 15:08:14 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               cython3 (>= 3.0.2),
-               dh-python,
+               cython3 (>= 3.0.11),
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all-dev,
-               python3-fonttools (>= 4.2.0),
+               python3-fonttools (>= 4.54.1),
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/googlefonts/compreffor
 Vcs-Git: https://salsa.debian.org/fonts-team/compreffor.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/compreffor

## compreffor 0.6.0

=== debian/changelog ===
compreffor (0.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/prune-setuptools-git-ls.patch: Refreshed.

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Dec 2025 11:02:41 -0500
